endMeeting
curl --request POST \
--url https://connvo-dev.convex.cloud/api/run/meetings/lifecycle/endMeeting \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"args": {
"meetingId": "meeting_123example"
}
}
'import requests
url = "https://connvo-dev.convex.cloud/api/run/meetings/lifecycle/endMeeting"
payload = { "args": { "meetingId": "meeting_123example" } }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({args: {meetingId: 'meeting_123example'}})
};
fetch('https://connvo-dev.convex.cloud/api/run/meetings/lifecycle/endMeeting', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"errorMessage": "",
"errorData": {},
"value": {
"success": true,
"duration": 3600000
}
}{}{}Meetings
endMeeting
processing. Only the meeting host can end meetings. Calculates meeting duration and schedules cleanup tasks including insights generation, recording processing, and resource cleanup. Can only end meetings that are currently active.
POST
/
api
/
run
/
meetings
/
lifecycle
/
endMeeting
endMeeting
Authorizations
Standard user authentication token issued via WorkOS. Provide as Authorization: Bearer <user-token>.
Body
application/json
Show child attributes
Show child attributes
⌘I